#
# spec file for package python-oauth (Version 1.0.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-oauth
Version:        1.0.1
Release:        10.2
License:        MIT
Summary:        Library for OAuth version 1.0a
Url:            http://code.google.com/p/oauth
Group:          Development/Libraries/Python
Source:         oauth-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
An open protocol to allow API authentication in a simple and standard method
from desktop and web applications.

Author:
--------
    Leah Culver <leah.culver@gmail.com>

%prep
%setup -q -n oauth-%{version}

%build
find -name .\* -delete
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES

%clean
rm -rf "%{buildroot}"

%files -f INSTALLED_FILES
%defattr(-,root,root)
%changelog
* Tue Apr 13 2010 dimstar@opensuse.org
- Clean the buildroot after building (clean section added to spec)
* Thu Mar 18 2010 dimstar@opensuse.org
- Spec cleaned using spec-cleaner.
- Recompress source as bz2.
* Thu Dec 10 2009 alexandre@exatati.com.br
- Initial package 1.0.1 for openSUSe.
